EmberTransportServerChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.ember.EmberTransportServerChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.ember
Class EmberTransportServerChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelSupport
          org.codehaus.activemq.transport.ember.EmberTransportServerChannel

All Implemented Interfaces:
  pyrasun.eio.services.bytearray.ByteArrayServerClientListener, pyrasun.eio.services.bytearray.ByteArrayServerListener, Service, TransportServerChannel

public class EmberTransportServerChannel
extends TransportServerChannelSupport
implements pyrasun.eio.services.bytearray.ByteArrayServerListener, pyrasun.eio.services.bytearray.ByteArrayServerClientListener

An EmberIO (using NIO) implementation of TransportServerChannel

Version:
  $Revision: 1.14 $

Constructor Summary
`EmberTransportServerChannel(WireFormat wireFormat, URI bindAddr, pyrasun.eio.EIOGlobalContext context, pyrasun.eio.services.EmberServiceController controller)`

Method Summary
`void` | `clientClosed(pyrasun.eio.services.bytearray.ByteArrayServerClient client)`
`protected void` | `handleException(pyrasun.eio.services.bytearray.ByteArrayServerClient client, JMSException e)`
`void` | `newClient(pyrasun.eio.services.bytearray.ByteArrayServerClient client)`
`void` | `newMessage(pyrasun.eio.services.bytearray.ByteArrayServerClient byteArrayServerClient, Object msg)`
`void` | `start()` start listeneing for events
`void` | `stop()` close the ServerChannel
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.transport.TransportServerChannelSupport
`addClient, getTransportChannelListener, getUrl, setTransportChannelListener, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmberTransportServerChannel

    public EmberTransportServerChannel(WireFormat wireFormat,
                                       URI bindAddr,
                                       pyrasun.eio.EIOGlobalContext context,
                                       pyrasun.eio.services.EmberServiceController controller)

Method Detail

### start

    public void start()
               throws JMSException

  start listeneing for events

  Specified by:
    `start` in interface `TransportServerChannel`
  Overrides:
    `start` in class `TransportServerChannelSupport`
  Throws:
    `JMSException` - if an error occurs

### stop

    public void stop()
              throws JMSException

  close the ServerChannel

  Specified by:
    `stop` in interface `TransportServerChannel`
  Overrides:
    `stop` in class `TransportServerChannelSupport`
  Throws:
    `JMSException`

### toString

    public String toString()

  Returns:
    pretty print of this

### handleException

    protected void handleException(pyrasun.eio.services.bytearray.ByteArrayServerClient client,
                                   JMSException e)

### newClient

    public void newClient(pyrasun.eio.services.bytearray.ByteArrayServerClient client)

  Specified by:
    `newClient` in interface `pyrasun.eio.services.bytearray.ByteArrayServerListener`

### clientClosed

    public void clientClosed(pyrasun.eio.services.bytearray.ByteArrayServerClient client)

  Specified by:
    `clientClosed` in interface `pyrasun.eio.services.bytearray.ByteArrayServerListener`

### newMessage

    public void newMessage(pyrasun.eio.services.bytearray.ByteArrayServerClient byteArrayServerClient,
                           Object msg)

  Specified by:
    `newMessage` in interface `pyrasun.eio.services.bytearray.ByteArrayServerClientListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.